
From: Chris Wright <chrisw@osdl.org>

Lower default sizes for POSIX mqueue allocation now that rlimits are in place.


---

 25-akpm/ipc/mqueue.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN ipc/mqueue.c~rlim-adjust-default-mqueue-sizes ipc/mqueue.c
--- 25/ipc/mqueue.c~rlim-adjust-default-mqueue-sizes	Tue May 11 15:21:22 2004
+++ 25-akpm/ipc/mqueue.c	Tue May 11 15:21:22 2004
@@ -43,10 +43,10 @@
 #define CTL_MSGSIZEMAX 	4
 
 /* default values */
-#define DFLT_QUEUESMAX	64	/* max number of message queues */
-#define DFLT_MSGMAX 	40	/* max number of messages in each queue */
+#define DFLT_QUEUESMAX	256	/* max number of message queues */
+#define DFLT_MSGMAX 	10	/* max number of messages in each queue */
 #define HARD_MSGMAX 	(131072/sizeof(void*))
-#define DFLT_MSGSIZEMAX 16384	/* max message size */
+#define DFLT_MSGSIZEMAX 8192	/* max message size */
 
 #define NOTIFY_COOKIE_LEN	32
 

_
